%define oname libticables2

%define major 5
%define libname %mklibname ticables %{major}
%define develname %mklibname -d ticables

Summary:	Library to handle the different TI link cables
Name:		libticables
Version:	1.3.3
Release:	%mkrel 2
Epoch:		1
License:	LGPLv2+
Group:		Communications/Serial
Url:		http://tilp.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/tilp/%{oname}-%{version}.tar.bz2
Patch0:		libticables2-buildfix.patch
BuildRequires:	libusb-devel
BuildRequires:	glib2-devel

%description
The TiCables library is a part of the TiLP project and constitutes with
the other libraries a complete framework for developping and/or linking
TI files oriented applications.

It is able to handle the different link cables designed for TI's graphing
calculators (also called handheld), without worrying about different link
cables characteristics as well as different platforms.

It supports all the currently available link cables:
- home-made parallel (aka $5-cable)
- home-made serial (aka $4-cable)
- TI's BlackLink
- TI's GrayLink
- TI's SilverLink
- AVRlink

It also supports some 'virtual' link cables for connection with emulators:
- Virtual TI (VTi)
- (Gtk)TiEmu

%package -n %{libname}
Summary:	Library to handle different TI link cables
Group:		System/Libraries
Provides:   %{name} = %epoch:%version-%release

%description -n %{libname}
The TiCables library is a part of the TiLP project and constitutes with
the other libraries a complete framework for developping and/or linking
TI files oriented applications.

It is able to handle the different link cables designed for TI's graphing
calculators (also called handheld), without worrying about different link
cables characteristics as well as different platforms.

It supports all the currently available link cables:
- home-made parallel (aka $5-cable)
- home-made serial (aka $4-cable)
- TI's BlackLink
- TI's GrayLink
- TI's SilverLink
- AVRlink

It also supports some 'virtual' link cables for connection with emulators:
- Virtual TI (VTi)
- (Gtk)TiEmu

%package -n %{develname}
Summary:	Development related files for %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{epoch}:%{version}-%{release}

%description -n %{develname}
This package contains headers and other necessary files to develop or compile
applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p0

%build
%configure2_5x \
	--enable-logging \
	--disable-rpath
%make

%install
%makeinstall_std gnulocaledir=%{buildroot}%{_datadir}/locale

rm -f %{buildroot}%{_libdir}/*.la

%find_lang %{oname}

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname} -f %{oname}.lang
%doc AUTHORS ChangeLog README
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1:1.3.3-2.mga3
+ Revision: 358248
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 13 2012 fwang <fwang> 1:1.3.3-1.mga3
+ Revision: 305243
- drop unrecognized option
- update libmajor
- new version 1.3.3

* Sat Oct 13 2012 fwang <fwang> 1:1.3.1-1.mga3
+ Revision: 305209
- update rpm group
- drop .la file

* Sat May 14 2011 nanardon <nanardon> 1:1.3.1-1.mga1
+ Revision: 98719
- imported package libticables

